#
# spec file for package rubygem-mime-types-data
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-mime-types-data
Version:        3.2024.1001
Release:        1.1
%define mod_name mime-types-data
%define mod_full_name %{mod_name}-%{version}
BuildRequires:  %{ruby >= 2.0}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{rubygem rdoc > 3.10}
BuildRequires:  ruby-macros >= 5
URL:            https://github.com/mime-types/mime-types-data/
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        mime-types-data provides a registry for information about MIME media
License:        MIT

%description
mime-types-data provides a registry for information about MIME media type
definitions. It can be used with the Ruby mime-types library or other software
to determine defined filename extensions for MIME types, or to use filename
extensions to look up the likely MIME type definitions.

%prep

%build

%install
%gem_install \
  --doc-files="History.md Licence.md README.md" \
  -f

%gem_packages

%changelog
* Mon Nov  4 2024 Dan Čermák <dan.cermak@posteo.net>
- New upstream release 3.2024.1001, see bundled History.md
* Tue Jul 16 2024 Dan Čermák <dan.cermak@posteo.net>
- New upstream release 3.2024.0702, see bundled History.md
* Fri Jun 21 2024 Dan Čermák <dan.cermak@posteo.net>
- New upstream release 3.2024.0604, see bundled History.md
* Mon Jan 29 2024 Dan Čermák <dan.cermak@posteo.net>
- New upstream release 3.2023.1205, see bundled History.md
* Tue Nov 14 2023 Dan Čermák <dan.cermak@posteo.net>
- New upstream release 3.2023.1003, see bundled History.md
* Tue Jan 25 2022 Stephan Kulow <coolo@suse.com>
  updated to version 3.2022.0105
  see installed History.md
  [#]# 3.2022.0105 / 2022-01-05
  - Updated the Apache and IANA media registry entries as of release date.
  - Fixed an incorrect definition of `image/bmp`, which had been marked obsolete
    and later registered. Fixed [#48], found by William T. Nelson.
  [#]# 3.2021.1115 / 2021-11-15
  - Updated the Apache and IANA media registry entries as of release date.
  - Added conversion utilities that support the `mini_mime` data format. These
    have been ported from the [mini_mime] repository. [#47]
  - Added IANA provisional media registries. Added some notes to Contributing.md
    about the transient nature of the provisional registration data. This was
    triggered in part by a pull request by Jon Sneyers. Thanks! [#45], [#43]
  [#]# 3.2021.0901 / 2021-09-01
  - Updated the Apache and IANA media registry entries as of release date.
  - Added file extension for WebVTT text format. [#46]
* Mon Jul 26 2021 Stephan Kulow <coolo@suse.com>
  updated to version 3.2021.0704
  see installed History.md
  [#]# 3.2021.0704 / 2021-07-04
  - Updated the Apache and IANA media registry entries as of release date.
* Thu Jun 24 2021 Stephan Kulow <coolo@suse.com>
  updated to version 3.2021.0225
  see installed History.md
  <!-- automatic-release -->
  [#]# 3.2021.0225 / 2021-02-25
  - Updated the Apache and IANA media registry entries as of release date.
  - Added file extension for AVIF video format. [#40].
  [#]# 3.2021.0212 / 2021-02-12
  - Updated the IANA media registry entries as of release date.
  - Added a new rake task (`release:automatic`) that downloads and converts the
    data from Apache and IANA; if there are changes detected, it updates the
    release version, changelog, manifest, and gemspec and commits the changes
    to git.
* Wed Jan 20 2021 Stephan Kulow <coolo@suse.com>
  updated to version 3.2020.1104
  see installed History.md
* Fri Sep 25 2020 Stephan Kulow <coolo@suse.com>
  updated to version 3.2020.0512
  see installed History.md
  [#]# 3.2020.05.12 / 2020-05-12
  - Updated the IANA media registry entires as of release date.
  - Added file extensions for HEIC image types. [#34][].
* Thu May  7 2020 Stephan Kulow <coolo@suse.com>
- updated to version 3.2020.0425
  see installed History.md
  [#]# 3.2020.04.25 / 2020-04-25
  - Updated the IANA media registry entires as of release date.
  - Added several RAW image types based on data from GNOME RAW Thumbnailer.
    [#33][] fixing [#32][].
  - Added `audio/wav`. [#31][].
  - Added a type for Smarttech notebook files. [#30][].
  - Added an alias for audio/m4a files. [#29][].
  - Added application/x-ms-dos-executable. [#28][].
* Mon Feb 10 2020 Stephan Kulow <coolo@suse.com>
- updated to version 3.2019.1009
  see installed History.md
  [#]# 3.2019.10.09 / 2019-10-09
  * Updated the IANA media registry entries as of release date.
  * Reordered the `.ai` extension so that it is not the preferred extension for
    `application/pdf` [#24][].
  [#]# 3.2019.0904 / 2019-09-04
  * Updated the IANA media registry entries as of release date.
  * Moved the `.ai` extension from `application/postscript` to `application/pdf`.
    [#23][] fixing [#22][].
* Sun May  5 2019 Stephan Kulow <coolo@suse.com>
- updated to version 3.2019.0331
  see installed History.md
  [#]# 3.2019.0331 / 2019-03-31
  * Updated the IANA media registry entries as of release date.
  * Added support for `application/wasm` with extension `.wasm`. [#21][]
  * Fixed `application/ecmascript` extensions. [#20][]
* Wed Sep  5 2018 coolo@suse.com
- updated to version 3.2018.0812
  see installed History.md
  [#]# 3.2018.0812 / 2018-08-12
  * Added `.xsd` extension to `text/xml`. [#10][]
  * Added `.js` and `.mjs` extensions to `text/ecmascript` and
    `text/javascript`. [#11][]
  * Added `.ipa` extension to `application/octet-stream`. [#12][]
  * Moved extensions `.markdown` and `.md` and added `.mkd` extension to
    `text/markdown`. [#13][]
  * Because of a bug found with mime-types 3 before 3.2.1, this version
    requires mime-types 3.1 or later to manage data.
  * Updated the IANA media registry entries as of release date. The biggest
    major change here is the addition of the `font/` top-level media type.
  * MIME type changes not introduced by pull requests will no longer be
    individually tracked.
  * Clarified that the YAML editable format is not shipped with the Ruby gem
    for size considerations.
* Sun May 22 2016 coolo@suse.com
- updated to version 3.2016.0521
  see installed History.md
  [#]# 3.2016.0521 / 2016-05-21
  * Updated the known extension list for application/octet-stream and
    application/pgp-encrypted to include gpg as an extension. Fixes
    [#3](https://github.com/mime-types/mime-types-data/pull/3) by Tao Guo
    (@taoza).
  * Updated the IANA media registry entries as of release date:
  * Updated metadata for application/EmergencyCallData.Comment\+xml,
    application/EmergencyCallData.DeviceInfo\+xml,
    application/EmergencyCallData.ProviderInfo\+xml,
    application/EmergencyCallData.ServiceInfo\+xml,
    application/EmergencyCallData.SubscriberInfo\+xml,
    application/ogg, application/problem\+json, application/problem\+xml,
    audio/ogg, text/markdown, video/H265, video/ogg.
  * Added application/efi, application/vnd.3gpp.sms\+xml,
    application/vnd.3lightssoftware.imagescal,
    application/vnd.coreos.ignition\+json, application/vnd.oma.lwm2m\+json,
    application/vnd.onepager, application/vnd.quarantainenet,
    application/vnd.vel\+json, image/emf, image/wmf, text/prs.prop.logic.
  * image/bmp has a draft RFC which would make it official; it has been
    finally been registered. As such, this version *reverses* the
    use-instead relationship of image/bmp and image/x-bmp.
  * This version requires mime-types 3.1 or later to manage data because of an
    issue with JSON data encoding for the `xrefs` field.
* Tue Feb 23 2016 coolo@suse.com
- updated to version 3.2016.0221
  see installed History.md
  [#]# 3.2016.0221 / 2016-02-21
  * Updated the known extensions list for audio/mp4.
  * Updated the IANA media registry entries as of release date:
  * Updated metadata for 3GPP-defined types (there are many),
    application/cdni, and application/rfc+xml.
  * Added application/EmergencyCallData.Comment+xml,
    application/EmergencyCallData.DeviceInfo+xml,
    application/EmergencyCallData.ProviderInfo+xml,
    application/EmergencyCallData.ServiceInfo+xml,
    application/ppsp-tracker+json, application/problem+json,
    application/problem+xml, application/vnd.filmit.zfc,
    application/vnd.hdt, application/vnd.mapbox-vector-tile,
    application/vnd.ms-PrintDeviceCapabilities+xml,
    application/vnd.ms-PrintSchemaTicket+xml,
    application/vnd.ms-windows.nwprinting.oob, application/vnd.tml,
    model/vnd.rosette.annotated-data-model, and video/H265.
  * Updated to [Contributor Covenant 1.4][Code of Conduct].
  * Shift the support code in this repository to be developed with Ruby 2.3.
    This involves:
  * Adding `frozen_string_literal: true` to all Ruby files.
  * Applied some recommended readability and performance suggestions from
    Rubocop. Ignored some style recommendations, too.
  * Replaced some cases of `foo.bar rescue nil` with `foo&.bar`.
* Sun Nov 22 2015 coolo@suse.com
- split out of rubygem-mime-type
